Bug 503489 - [NetApp 4.8 bug] Issues with "qioctlmod" module on RHEL4.8 hosts with QLogic FC inbox drivers
Summary: [NetApp 4.8 bug] Issues with "qioctlmod" module on RHEL4.8 hosts with QLogic ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.8
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: 4.9
Assignee: Tom Coughlan
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
: 503808 (view as bug list)
Depends On:
Blocks: 519428 626414
TreeView+ depends on / blocked
 
Reported: 2009-06-01 11:40 UTC by Naveen Reddy
Modified: 2018-10-20 03:35 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A locking issue caused the qla2xxx ioctl module to hang after encountering errors. This locking issue has been corrected. This ioctl module is used by the QLogic SAN management tools, such as SANsurfer and scli.
Clone Of:
Environment:
Last Closed: 2011-02-16 15:16:52 UTC
Target Upstream Version:


Attachments (Terms of Use)
Fix the application hang reported by Netapp (1.54 KB, text/plain)
2009-08-13 05:20 UTC, Lalit Chandivade
no flags Details
hang fix submitted (1.45 KB, text/plain)
2009-08-17 18:26 UTC, Marcus Barrow
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0263 0 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.9 kernel security and bug fix update 2011-02-16 15:14:55 UTC

Description Naveen Reddy 2009-06-01 11:40:07 UTC
Description of problem:

On RHEL4 hosts with QLogic FC HBA, any command interacting with "qioctlmod" module hangs after FC target faults. For example, after offline and online of target ports on NetApp controller, the command "scli" hangs.

"scli"  - SANsurfer CLI is management tool (command line interface) for use with the QLogic Linux driver.


How reproducible:
Always


Version-Release number of selected component:

OS - RHEL4 (observed on both RHEL4.7 ad RHEL4.8)
Driver - Inbox drivers (8.02.09.02.04.08-d on RHEL4.8)


Actual results:
Any command interacting with "qioctlmod" module hangs.


Expected results:
Any command interacting with "qioctlmod" module should not hang.

Comment 1 Andrius Benokraitis 2009-08-13 05:04:46 UTC
Marcus - any progress on this?

Comment 2 Lalit Chandivade 2009-08-13 05:20:48 UTC
Created attachment 357272 [details]
Fix the application hang reported by Netapp

Fix the application hang reported by Netapp

Comment 3 Lalit Chandivade 2009-08-13 05:22:21 UTC
Marcus,

I have attached the patch needed to fix the scli hang issue. Please update/assign the BZ accordingly.

Thanks,
Lalit.

Comment 5 Marcus Barrow 2009-08-17 18:26:26 UTC
Created attachment 357686 [details]
hang fix submitted

Comment 6 RHEL Program Management 2009-08-17 18:30:17 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 Bryn M. Reeves 2009-08-18 17:35:13 UTC
Anyone got a backtrace from this hang? sysrq-t/crash output would be great.

Comment 8 Chris Feist 2009-08-20 20:54:45 UTC
I'm pulling the cluster-4.8.z flag because this is a kernel issue, not a cluster issue.  Someone may want to request a rhel-4.8.z flag.

Comment 9 Tom Coughlan 2009-08-21 17:57:49 UTC
This is a serious usability problem. Setting rhel-4.8.z flag.

Comment 10 Vivek Goyal 2009-08-25 19:23:24 UTC
Committed in 89.11.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 13 Chad Dupuis (Cavium) 2010-04-21 14:57:01 UTC
*** Bug 503808 has been marked as a duplicate of this bug. ***

Comment 16 Douglas Silas 2011-01-31 00:10:17 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
A locking issue caused the qla2xxx ioctl module to hang after encountering errors. This locking issue has been corrected. This ioctl module is used by the QLogic SAN management tools, such as SANsurfer and scli.

Comment 17 errata-xmlrpc 2011-02-16 15:16:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html


Note You need to log in before you can comment on or make changes to this bug.